XMTOOLBOX(1)

NAME
xmtoolbox - application launcher

SYNOPSIS
xmtoolbox [-rcfile <file> -hotkey [modifier ... key]]

DESCRIPTION
XmToolbox displays a user defined, multi-level menu of application groups and applications. It also interfaces with the xmsm(1) session manager to provide screen locking and session commands.

OPTIONS

-rcfile <full path>
    Specify a configuration file to use. See CONFIGURATION for details.

-title String
    Specify toolbox window title. Default is user's login name and the host name.

-hotkey [Modifier ...] Key
    Hotkey to raise and focus the toolbox window. See the resource description below.

CONFIGURATION

XmToolbox reads its menu configuration from text files. If not specified on command line with the -rcfile option, its location defaults to .toolboxrc in user's home directory and toolboxrc in any of system configuration directories e.g. /etc/X11, /usr/lib/X11.

A menu is defined by specifying the menu title followed by one or more menu item definitions enclosed in {...} brackets. Menu items are specified one per line, starting with the title string separated by a semicolon from the command to be executed. A horizontal line may be added between menu items with the special identifier SEPARATOR. Any character in the title string may be prefixed with the ampersand character to specify a mnemonic. Comments may be entered following the # character at the beginning of a line. Sub-menus may be defined by placing them within the scope of the parent menu. Menu scope {} delimiters may only be placed at the beginning of an otherwise empty line.

Literal & and : characters in title strings may be specified by prefixing them with the \ escape character. Literal whitespace characters in the command string may be specified either by escaping them with \, or enclosing the part of the string in quotation marks.

# Comment
Menu Title
{
	Title: Command
	SEPARATOR
	...
	Submenu Title
	{
		Title: Command
		...
	}
}

RESOURCES

title String
    This resource is used to specify a custom window title. Defaults to user's login name and the host name: <user>@<host>.

dateTimeDisplay Boolean
    Display date and time. Default is True.

dateTimeFormat String
    Date and time format string. See strftime(3). Defaults to "%D %l:%M %p".

hotkey [Modifier ...] Key | None
    One or more modifiers followed by a key name defining the hotkey to raise and focus the toolbox window at any time, or None if no hotkey assignment is desired. Possible modifiers are: Control, Alt, Shift. Defaults to None.

rcFile String
    Full path to the configuration file. See CONFIGURATION for details.

showSuspend Boolean
    If True, Suspend command will be displayed in the Session sub-menu. Default is True.

SIGNALS

XmToolbox responds to SIGUSR1 signal by reparsing the menu configuration file.

SEE ALSO
xmsm(1) emwm(1)

AUTHORS

Toolbox was written and is maintained by alx@fastestcode.org